org.apache.flume.source

## Class ExecSourceConfigurationConstants

- java.lang.Object
- - org.apache.flume.source.ExecSourceConfigurationConstants

-     public class ExecSourceConfigurationConstants
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CHARSET` Charset for reading input
    `static String` | `CONFIG_BATCH_SIZE` Number of lines to read at a time
    `static String` | `CONFIG_BATCH_TIME_OUT` Amount of time to wait, if the buffer size was not reached, before to data is pushed downstream: : default 3000 ms
    `static String` | `CONFIG_LOG_STDERR` Should stderr from the command be logged: default false
    `static String` | `CONFIG_RESTART` Should the exec'ed command restarted if it dies: : default false
    `static String` | `CONFIG_RESTART_THROTTLE` Amount of time to wait before attempting a restart: : default 10000 ms
    `static String` | `CONFIG_SHELL` Optional shell/command processor used to run command
    `static int` | `DEFAULT_BATCH_SIZE`
    `static long` | `DEFAULT_BATCH_TIME_OUT`
    `static String` | `DEFAULT_CHARSET`
    `static boolean` | `DEFAULT_LOG_STDERR`
    `static boolean` | `DEFAULT_RESTART`
    `static long` | `DEFAULT_RESTART_THROTTLE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ExecSourceConfigurationConstants()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CONFIG_RESTART

          public static final String CONFIG_RESTART

      Should the exec'ed command restarted if it dies: : default false
      See Also:
        Constant Field Values

    - #### DEFAULT_RESTART

          public static final boolean DEFAULT_RESTART

      See Also:
        Constant Field Values

    - #### CONFIG_RESTART_THROTTLE

          public static final String CONFIG_RESTART_THROTTLE

      Amount of time to wait before attempting a restart: : default 10000 ms
      See Also:
        Constant Field Values

    - #### DEFAULT_RESTART_THROTTLE

          public static final long DEFAULT_RESTART_THROTTLE

      See Also:
        Constant Field Values

    - #### CONFIG_LOG_STDERR

          public static final String CONFIG_LOG_STDERR

      Should stderr from the command be logged: default false
      See Also:
        Constant Field Values

    - #### DEFAULT_LOG_STDERR

          public static final boolean DEFAULT_LOG_STDERR

      See Also:
        Constant Field Values

    - #### CONFIG_BATCH_SIZE

          public static final String CONFIG_BATCH_SIZE

      Number of lines to read at a time
      See Also:
        Constant Field Values

    - #### DEFAULT_BATCH_SIZE

          public static final int DEFAULT_BATCH_SIZE

      See Also:
        Constant Field Values

    - #### CONFIG_BATCH_TIME_OUT

          public static final String CONFIG_BATCH_TIME_OUT

      Amount of time to wait, if the buffer size was not reached, before to data is pushed downstream: : default 3000 ms
      See Also:
        Constant Field Values

    - #### DEFAULT_BATCH_TIME_OUT

          public static final long DEFAULT_BATCH_TIME_OUT

      See Also:
        Constant Field Values

    - #### CHARSET

          public static final String CHARSET

      Charset for reading input
      See Also:
        Constant Field Values

    - #### DEFAULT_CHARSET

          public static final String DEFAULT_CHARSET

      See Also:
        Constant Field Values

    - #### CONFIG_SHELL

          public static final String CONFIG_SHELL

      Optional shell/command processor used to run command
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ExecSourceConfigurationConstants

          public ExecSourceConfigurationConstants()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.